Browse Source

do not install the pkg-config .pc file if subproject

remove_deprecated_ffmpeg_api v0.2
Alexandros Theodotou 3 years ago
parent
commit
734b30dbb1
Signed by: alex
GPG Key ID: 022EAE42313D70F3
  1. 18
      meson.build

18
meson.build

@ -176,14 +176,16 @@ libaudec_dep = declare_dependency ( @@ -176,14 +176,16 @@ libaudec_dep = declare_dependency (
include_directories: inc,
link_with: audec)
pkg_mod = import('pkgconfig')
pkg_mod.generate(
libraries: audec,
version: '0.1',
name: 'audec',
filebase: 'audec',
description: 'A library to read and resample audio files.',
)
if not meson.is_subproject()
pkg_mod = import('pkgconfig')
pkg_mod.generate(
libraries: audec,
version: '0.1',
name: 'audec',
filebase: 'audec',
description: 'A library to read and resample audio files.',
)
endif
subdir('tests')

Loading…
Cancel
Save